<?php
/**
 * @package Search BBCode
 * @version 1.0
 * @author phantom
 * @copyright 2012
 * @copyright Icons come from MediaLoot.com http://medialoot.com/item/free-social-media-and-blogging-icon-set/
 * @license http://creativecommons.org/licenses/by-nc-nd/3.0/ CC BY-NC-ND 3.0
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function SearchBBC_add_code(&$codes)
{
	global $txt;
	loadLanguage('SearchBBC');

	$codes[] = array(
		'tag' => 'gsearch',
		'type' => 'unparsed_content',
		'content' => '<a href="http://www.google.com/search?q=$1" title="'.$txt['SearchBBC_Google'].': $1" target="_blank">$1</a>',
		'disallow_children' => array('email', 'ftp', 'url', 'iurl'),
		);
	$codes[] = array(
		'tag' => 'bsearch',
		'type' => 'unparsed_content',
		'content' => '<a href="http://www.bing.com/search?q=$1" title="'.$txt['SearchBBC_Bing'].': $1" target="_blank">$1</a>',
		'disallow_children' => array('email', 'ftp', 'url', 'iurl'),
		);
	$codes[] = array(
		'tag' => 'ysearch',
		'type' => 'unparsed_content',
		'content' => '<a href="http://search.yahoo.com/search?p=$1" title="'.$txt['SearchBBC_Yahoo'].': $1" target="_blank">$1</a>',
		'disallow_children' => array('email', 'ftp', 'url', 'iurl'),
		);
}

function SearchBBC_add_button(&$buttons)
{
	global $txt;
	loadLanguage('SearchBBC');

	$buttons[count($buttons) - 1][] = array(
		'image' => 'SearchBBC_Google',
		'code' => 'gsearch',
		'before' => '[gsearch]',
		'after' => '[/gsearch]',
		'description' => $txt['SearchBBC_Google']
	);
	$buttons[count($buttons) - 1][] = array(
		'image' => 'SearchBBC_Bing',
		'code' => 'bsearch',
		'before' => '[bsearch]',
		'after' => '[/bsearch]',
		'description' => $txt['SearchBBC_Bing']
	);
	$buttons[count($buttons) - 1][] = array(
		'image' => 'SearchBBC_Yahoo',
		'code' => 'ysearch',
		'before' => '[ysearch]',
		'after' => '[/ysearch]',
		'description' => $txt['SearchBBC_Yahoo']
	);
}
?>